    function love.load()
		local font = love.graphics.newFont("font.ttf", 48)
		love.graphics.setFont(font)
		fade = 0
		start = false
        shader = love.graphics.newPixelEffect [[
		extern number x;
		extern number fade;
		//uniform sampler2D tex0;
		vec4 effect(vec4 colour, Image tex, vec2 tc, vec2 pc)
		{
			vec2 uv = tc.xy;
			number maxAlpha = Texel(tex, uv).a;
			number alpha = fade/(abs(pc.x-x));
			if (alpha > maxAlpha) {
				alpha = maxAlpha;
			}
			return vec4(255, 255, 255, alpha);
		}
      ]]
	  shader:send("x", 100)
	  shader:send("fade", fade)
    end
	
    function love.draw()
        love.graphics.setPixelEffect(shader)
		love.graphics.setColor(255, 255, 255, 255)
        love.graphics.print("Hello, world!", 100, 100)
        love.graphics.setPixelEffect()
    end
	
	function love.update(dt)
		if start then
			if fade < 300 then
				fade = fade + 1 * dt * 300
				shader:send("fade", fade)
			end
		end
    end
	
	function love.keypressed(key, unicode)
		if key == "q" then
			start = true
		end
	end

